
Figure - Bug #118004
IOVDEV-28756 【内部】【VC1】【0095】【台架】【EE环境】【副屏】【蓝牙】副屏蓝牙与游戏手柄进行连
接配对时，偶现点击蓝牙手柄设备名称无反应
2023-05-17 17:25 - CDTS-TEST 周婷

Status: CLOSED Start date: 2023-05-17

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095.c103

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: Free Test Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230517 15：42

【前提条件】：副屏上电

【操作步骤】

1.点击开启蓝牙，未连接状态

2.点击进入蓝牙配对界面

3.点击蓝牙手柄设备名称

【实际结果】

1.显示正在配对，无反应

【期望结果】

1.弹出配对界面，进行配对

【备注】：

第128次开机

10次大概2、3次出现

日志、视频地址：https://ofs.human-horizons.com/#/download/index/BccsA7K%2FPP8%3D

【应用版本】：

【硬件版本号】：

【中控版本号】：03.02.0080.c101

【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-17 17:43 - CDTS_TEST 王成

- File 飞书20230517-154551.mp4 added
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118004/tlog_iov0201017500006162025411a2212290000000601_000128_0517154215.tar.gz

#2 - 2023-05-22 20:40 - CD LC涂宇

- Status changed from New to ASSIGNED

初步分析：

05-17 15:41:48.882  1002 26488 26514 I BluetoothBondStateMachine: bondStateChangeCallback: Status: 1 Address: 80:E4:DA:19:15:07 newState: 0

05-17 15:41:48.882  1002 26488 26514 E bt_btif : update_pce_entry_after_cancelling_bonding unable to open PBAP PCE Conf file for read: error: (No such file or

directory)

05-17 15:41:48.882  1002 26488 26514 E bt_btif : update_mce_entry_after_cancelling_bonding unable to open MAP MCE Conf file for read: Reason: (No such file

or directory)

05-17 15:41:48.886  1002 26488 26519 D AdapterProperties: Failed to remove device: 80:E4:DA:19:15:07

05-17 15:41:48.888  1002 26488 26519 I BluetoothBondStateMachine: Bond State Change Intent:80:E4:DA:19:15:07 BOND_BONDING => BOND_NONE

05-17 15:41:48.888  1002 26488 26519 I BluetoothBondStateMachine: Bonded Completed 80:E4:DA:19:15:07

05-17 15:41:48.888  1002 26488 26519 I BluetoothBondStateMachine: mBondingDevStatus size 0

000128_manual_00036_230517_154253.log:05-17 15:43:07.047 26488 26739 E BluetoothDatabase: getCustomMeta: device 80:E4:DA:19:15:07 is not in cache

000128_manual_00036_230517_154253.log:05-17 15:43:07.048 26488 26739 E BluetoothDatabase: getCustomMeta: device 80:E4:DA:19:15:07 is not in cache

000128_manual_00036_230517_154253.log:05-17 15:43:07.048 26488 26739 W BluetoothDatabase: Invalid metadata key 17

000128_manual_00036_230517_154253.log:05-17 15:43:07.048 26488 26739 E BluetoothDatabase: getCustomMeta: meta key invalid 17

Next:

可能出现了缓存问题，需要继续调查一下。

#3 - 2023-05-24 18:45 - CD LC涂宇

当前缺少snoop日志，无法看到交互过程。

Next:

需要snoop以及bt详细日志进一步分析，已经提了一个patch在user版本中打开详细日志待合入后重新抓取日志。

- https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom-opensource/system/bt/+/202288

#4 - 2023-06-06 11:08 - 短距组_SSRDCNJ 蒋俊杰

05-17 15:41:48.879  1002 26488 26542 E bt_btm  : btm_ble_read_remote_features_complete: failed for handle: 0x0006, status 0x3e

05-17 15:41:48.879  1002 26488 26542 V bt_stack: [VERBOSE1:gatt_main.cc(617)] GATT   ATT protocol channel with BDA: 80:e4:da:19:15:07 is disconnected

【结论】：认为是获取对端ble feature特性时失败导致配对失败，如复现提供HCI日志能更直观说明。

#5 - 2023-06-06 13:54 - CD LC 陶洪普

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CDTS_TEST 王成

Hi
入分析，在连接过程中，获取手柄设备的Feature list时，读取失败．

05-17 15:41:48.879 1002 26488 26542 E bt_btm : btm_ble_read_remote_features_complete: failed for handle: 0x0006, status 0x3e

05-17 15:41:48.879 1002 26488 26542 V bt_stack: [VERBOSE1:gatt_main.cc(617)] GATT ATT protocol channel with BDA: 80:e4:da:19:15:07 is disconnected

日志中确认HCI进一步分析．

请帮联系客户测试，提供复现的logcat, HCI .

谢谢!

#6 - 2023-06-06 22:26 - CDTS_TEST 王成

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD LC 陶洪普

客户的新复现日志：ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118004/BTFAIL.7z

#7 - 2023-06-07 15:13 - 短距组_SSRDCNJ 蒋俊杰

【当前进展】

查看android日志可以看到出现了pairing timeout，具体原因需要结合HCI日志进一步确认，而log中缺少录屏时间点对应的HCI日志；

该手柄每次都会主动发起配对，而用户从副屏侧去配对该手柄时都无法配对成功，配对另一款手柄是OK的。因此不排除是该手柄自身的问题。

//该手柄设备先发起配对，用户点击取消，配对失败

06-02 09:29:52.448 12730 12730 D BTPairingController: Pairing dialog canceled

//用户点击列表主动发起配对

06-02 09:29:53.666 16583 16615 I BluetoothBondStateMachine: Bond State Change Intent:98:B6:E9:E0:80:56 BOND_NONE => BOND_BONDING

//配对超时

06-02 09:29:58.850 16583 16611 W bt_btif : btif_dm_auth_cmpl_evt() - Pairing timeout; retrying (2) ...56

06-02 09:29:58.851 16583 16643 V bt_stack: [VERBOSE1:btm_inq.cc(959)] BTM_ReadRemoteDeviceName: bd addr 98:b6:e9:e0:80:56

06-02 09:29:58.851 16583 16643 V bt_stack: [VERBOSE1:btm_acl.cc(3014)] connecting_bda: 98:b6:e9:e0:80:56

06-02 09:30:06.937 16583 16611 W bt_btif : btif_dm_auth_cmpl_evt() - Pairing timeout; retrying (1) ...

//配对失败

06-02 09:30:12.120 16583 16611 I BluetoothBondStateMachine: bondStateChangeCallback: Status: 10 Address: 98:B6:E9:E0:80:56 newState: 0

06-02 09:30:12.129 16583 16615 I BluetoothBondStateMachine: Bond State Change Intent:98:B6:E9:E0:80:56 BOND_BONDING => BOND_NONE

【下一步】

1）请测试试下该手柄主动发起配对时，在副屏端点击同意看下能否配对成功；

2）找台对比机用同样的手法，点击设备名称发起配对，看下能否配对成功；

3）提供测试机和对比机完整的log，包含问题时间点的android日志+HCI日志+录屏；

#8 - 2023-06-28 19:54 - CD LC 陶洪普

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CDTS_TEST 王成

转JIRA更新

http://jira.human-horizons.com/browse/IOVDEV-28756
#9 - 2023-07-17 17:18 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户产品回复：蓝牙连接偶现问题无法复现 可以关闭

#10 - 2023-07-17 17:18 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#11 - 2023-07-17 17:19 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

飞书20230517-154551.mp4 4.65 MB 2023-05-17 CDTS_TEST 王成
